clear all; clc;
%% VSTUPY UZIVATELE
fs=input('Zadej vzorkovaci frekvenci : ');
formatSpec = 'vzorkovaci frekvence je %2.0f \n';
fprintf(formatSpec,fs)

%% VSTUPY
T=0.7; %[s] predpokladana RT
pocetvzorku=fs*T;
%% GENEROVANI MATIC S PRUBEHY
path=input('Zadej umisteni slozky se soubor (WAV) : ')
files = dir(path);
for fileIndex=length(files):-1:3 % tady davam 3, protoze to zapisuje navic 2 prazdne vektory(MAC OSX) - treba vyzkouset a upravit podle OS
    if (files(fileIndex).isdir == 0)
        if (~isempty(strfind(files(fileIndex).name,'wav')))
            [data] = audioread(fullfile(path,files(fileIndex).name));
            SOUBORY(fileIndex-2,:)=data(1:pocetvzorku,1)
        end 
    end
end
%% FILTROVANI
%Copyright (c) 1997, Christophe COUVREUR
%All rights reserved.
%filtr pouzit z vytvorene prace
%stazeno z: http://www.mathworks.com/matlabcentral/fileexchange/69-octave

%definovani strednich frekvenci tretinooktavovych pasem
N = 3;%typ filtru
Fc=[25 31 40 50 62 80 100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000 6400 8000 10000 12000 16000 20015],
% Frekvencni pasma 500 Hz - 5 kHz  (pasma 14 az 24)                              
  i_up = 24; % [5000 Hz]
  i_low = 14; %[500 Hz]
  for k=1:length(SOUBORY(:,1))
    for i = i_up:-1:i_low
        [B,A] = tretinofiltr(Fc(i),fs,N);
        y = filter(B,A,SOUBORY(k,:));
        eval(sprintf('PRUBEHY_%dHz(k,:) = y', Fc(1,i)))
    end
  end


